files with the same name installed in / and /usr

Bug #1629552 reported by Martin Pitt on 2016-10-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cgroup-lite (Ubuntu)
Undecided
Martin Pitt
genwqe (Ubuntu)
Undecided
Unassigned
grub (Ubuntu)
Undecided
Unassigned
json-c (Debian)
Fix Released
Unknown
json-c (Ubuntu)
Undecided
Martin Pitt

Bug Description

A few remaining packages in Ubuntu are incompatible with a merged /usr because they ship the same file in /bin and /usr/bin; it looks like Debian will soon default to that, and we surely want to follow suit.

The duplicate file/symlink needs to be removed, or created in postinst.

  https://bugs.debian.org/cgi-bin/pkgreport.cgi?tag=usrmerge;<email address hidden>

cgroup-lite:

lrwxrwxrwx root/root 0 2016-03-02 07:56 ./usr/bin/cgroups-umount -> /bin/cgroups-umount
lrwxrwxrwx root/root 0 2016-03-02 07:56 ./usr/bin/cgroups-mount -> /bin/cgroups-mount

Martin Pitt (pitti) wrote :

lrwxrwxrwx root/root 0 2016-03-04 21:37 ./lib/x86_64-linux-gnu/genwqe/libz.so -> ../libzADC.so.1
lrwxrwxrwx root/root 0 2016-03-04 21:37 ./lib/x86_64-linux-gnu/libzADC.so -> libzADC.so.1
lrwxrwxrwx root/root 0 2016-03-04 21:37 ./usr/lib/x86_64-linux-gnu/genwqe/libz.so -> /lib/x86_64-linux-gnu/genwqe/libz.so.1
lrwxrwxrwx root/root 0 2016-03-04 21:37 ./usr/lib/x86_64-linux-gnu/libzADC.so -> /lib/x86_64-linux-gnu/libzADC.so.1

description: updated
Martin Pitt (pitti) wrote :

json-c: libjson-c3 ships ./lib/x86_64-linux-gnu/libjson-c.so.3, and libjson-c-dev ships

lrwxrwxrwx root/root 0 2016-04-27 12:15 ./usr/lib/x86_64-linux-gnu/libjson-c.so.3 -> /lib/x86_64-linux-gnu/libjson-c.so.3
lrwxrwxrwx root/root 0 2016-04-27 12:15 ./usr/lib/x86_64-linux-gnu/libjson-c.so -> libjson-c.so.3

which is completely redundant.

Martin Pitt (pitti) wrote :

grub ships ./sbin/update-grub and ./sbin/grub-install, while grub2-common ships ./usr/sbin/update-grub and ./usr/sbin/grub-install. The latter is also shipped by lupin-support

Changed in genwqe (Ubuntu):
status: New → Triaged
assignee: nobody → Martin Pitt (pitti)
milestone: none → ubuntu-16.11
Martin Pitt (pitti) wrote :

genwqe is a false positive, no collisions there.

Changed in genwqe (Ubuntu):
status: Triaged → Invalid
Martin Pitt (pitti) on 2016-10-19
Changed in cgroup-lite (Ubuntu):
status: New → Fix Committed
milestone: none → ubuntu-16.11
assignee: nobody → Martin Pitt (pitti)
Changed in genwqe (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
milestone: ubuntu-16.11 → none
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cgroup-lite - 1.12

---------------
cgroup-lite (1.12) zesty; urgency=medium

  * Drop /usr/bin symlinks to binaries in /bin, to prepare ourselves for a
    future /usr merge. (LP: #1629552)
  * Drop unnecessary debian/dirs.

 -- Martin Pitt <email address hidden> Wed, 19 Oct 2016 14:58:01 +0200

Changed in cgroup-lite (Ubuntu):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-10-21
Changed in json-c (Ubuntu):
status: New → In Progress
assignee: nobody → Martin Pitt (pitti)
milestone: none → ubuntu-16.11
Martin Pitt (pitti) wrote :

grub finally got removed from zesty \o/

Changed in grub (Ubuntu):
status: New → Invalid
Martin Pitt (pitti) wrote :

patch sent to Debian.

Changed in json-c (Ubuntu):
status: In Progress → Fix Committed
Changed in json-c (Debian):
status: Unknown → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package json-c - 0.12.1-1ubuntu1

---------------
json-c (0.12.1-1ubuntu1) zesty; urgency=medium

  * debian/libjson-c-dev.links: Fix library symlinks to not collide between
    /lib/ and /usr/lib/. (Closes: #843145, LP: #1629552)

 -- Martin Pitt <email address hidden> Mon, 07 Nov 2016 23:18:06 +0100

Changed in json-c (Ubuntu):
status: Fix Committed → Fix Released
Changed in json-c (Debian):
status: New → Fix Committed
Changed in json-c (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.